Skip to content

DocsAPI referenceWebhooks

Delete a webhook endpoint

Its deliveries still pending fail with endpoint_deleted. Jobs' own webhook_url deliveries are not affected.

DELETE /v1/webhook-endpoints/{id}

Needs an API key: Authorization: Bearer $VIDEXO_API_KEY.

Parameters

Parameters
NameInTypeDescription
id requiredpathstring, up to 64 charactersThe endpoint id.

Request

bash
curl --fail-with-body -X DELETE "$VIDEXO_API_URL/v1/webhook-endpoints/we_4n8c2kq0x7m1v5z3b9r6t0wa" \
  -H "Authorization: Bearer $VIDEXO_API_KEY"

Response

204 headers
HTTP/1.1 204 No Content

Responses

Responses
StatusBodyWhen
204noneDeleted.
401Problemauthentication_failed (missing_api_key, invalid_api_key, api_key_revoked, api_key_expired)
403Problempermission_denied (token_scope): a client token cannot call this route
404Problemnot_found (webhook_endpoint)
429Problemrate_limited, with Retry-After in seconds